/* GLOBAL CSS */
@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700;800;900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Nunito+Sans:ital,opsz,wght@0,6..12,200..1000;1,6..12,200..1000&display=swap');
body{
  /* font-family: europa,sans-serif; */
  /* font-family: 'Poppins', sans-serif ; */
  font-family: "Nunito Sans", sans-serif;
  font-style: normal;
  color: #324755;
}


.font-weight-bold {
    font-weight: 600 !important;
}
.tbl-list-height {
    min-height: 270px;
}
#accordionSidebar a.nav-link.active {
    font-weight: 500;
    color: #ffffff !important;
}

#accordionSidebar a.nav-link.active i {
    color: #ffffff !important;
}
a{
    text-decoration: unset !important;
}
a i{
    margin: 5px !important;
}
star{
    color:red;
}
.frm_error_msg{
    color:red;
    font-size:14px;
}
.form_title_label{
    font-weight: bold;
}
label {
    display: inline-block;
    margin-bottom: .5rem;
    margin-top: .5rem;
}
form.user .form-control-user {
    font-size: .8rem;
    border-radius: 0rem;
    padding: 1.5rem 1rem;
}
form.user .btn-user {
    font-size: 1rem;
    border-radius: 0rem;
    padding: .75rem 1rem;
}
.btn-sm {
    padding: .1rem .3rem;
    font-size: .875rem;
    line-height: 1.5;
    border-radius: 0rem;
}
.table td, .table th {
    padding: .55rem;
    vertical-align: middle;
    border-top: 1px solid #e3e6f0;

}
.form-control {
    border-radius: 0rem;
}
/* Notification Element */

.dropdown-notification .dropdown-notification-list .notification-item {
    border-bottom: 1px solid #F1EAE0;
    font-size: 16px;
    color: #66615b;
}

.dropdown-notification .dropdown-notification-list .notification-item .notification-text {
    padding-left: 40px;
    position: relative;
    min-width: 330px;
    min-height: 70px;
    white-space: normal;
}

.dropdown-notification .dropdown-notification-list .notification-item .notification-text .label {
    display: block;
    position: absolute;
    top: 50%;
    margin-top: -12px;
    left: 7px;
}

.dropdown-notification .dropdown-notification-list .notification-item .notification-text .message {
    font-size: 0.9em;
    line-height: 0.7;
    margin-left: 10px;
}

.dropdown-notification .dropdown-notification-list .notification-item .notification-text .time {
    color: #9A9A9A;
    font-size: 0.7em;
    margin-left: 10px;
}

.dropdown-notification .dropdown-notification-list .notification-item .read-notification {
    font-size: 12px;
    opacity: 0;
    position: absolute;
    right: 5px;
    top: 50%;
    margin-top: -12px;
}

.dropdown-notification .dropdown-notification-list .notification-item:hover {
    text-decoration: none;
}

.dropdown-notification .dropdown-notification-list .notification-item:hover .notification-text {
    color: #66615b;
    background-color: #F0EFEB !important;
}

.dropdown-notification .dropdown-notification-list .notification-item:hover .read-notification {
    opacity: 1 !important;
}

.dropdown-notification .dropdown-footer {
    background-color: #E8E7E3;
    border-radius: 0 0 8px 8px;
}

.dropdown-notification .dropdown-footer .dropdown-footer-menu {
    list-style: outside none none;
    padding: 0 5px;
}

.dropdown-notification .dropdown-footer .dropdown-footer-menu li {
    display: inline-block;
    text-align: left;
    padding: 0 10px;
}

.dropdown-notification .dropdown-footer .dropdown-footer-menu li a {
    color: #9C9B99;
    font-size: 0.9em;
    line-height: 35px;
}

.clickable-row{
    cursor: pointer;
}

.alert {
    border: 0;
    border-radius: 3px;
    color: #FFFFFF;
    padding-top: .9rem;
    padding-bottom: .9rem;
    position: relative;
}

.alert.alert-success {
    background-color: #28a745;
}

.alert.alert-danger {
    background-color: #dc3545;
}

.alert.alert-warning {
    background-color: #ffc107;
}

.alert.alert-info {
    background-color:#17a2b8;
}

.alert.alert-primary {
    background-color: #4e73df85;
}

.alert .close {
    color: #FFFFFF;
    opacity: .9;
    text-shadow: none;
    line-height: 0;
    outline: 0;
}

.alert .close i.fa,
.alert .close i.nc-icon {
    font-size: 14px !important;
}

.alert .close:hover,
.alert .close:focus {
    opacity: 1;
}

.alert span[data-notify="icon"] {
    font-size: 27px;
    display: block;
    left: 19px;
    position: absolute;
    top: 50%;
    margin-top: -11px;
}

.alert button.close {
    position: absolute;
    right: 10px;
    top: 50%;
    margin-top: -13px;
    width: 25px;
    height: 25px;
    padding: 3px;
}

.alert .close~span {
    display: block;
    max-width: 89%;
}

.alert.alert-with-icon {
    padding-left: 65px;
}

.valid-form span{
    color: red;
}

.thumbnail {
    display: block;
    padding: 4px;
    margin-bottom: 20px;
    line-height: 1.42857143;
    background-color: #fff;
    border: 1px solid #ddd;
    border-radius: 4px;
    -webkit-transition: all .2s ease-in-out;
    -o-transition: all .2s ease-in-out;
    transition: all .2s ease-in-out;
    width: 60px;
}
.thumbnail img{
    width: 50px;
}
.text-mute{
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    display: table-caption;
    max-width: 340px;
}

.inline-text thead tr th{
    white-space: nowrap;
}

.text-hinding-1 {
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    display: table-caption;
    max-width: 190px;
}

.font-login-type{
    font-size: 20px;
    font-weight: 100;
    color: #8b8787;
}

.font-login-head{
    font-size: 20px;
    color: #8b8787;
}
.error:before {
    content: attr(data-text);
    position: absolute;
    left: -2px;
    text-shadow: 1px 0 #4e73df;
    top: 0;
    color: #5a5c69;
    background: #f8f9fc;
    overflow: hidden;
    clip: rect(0, 900px, 0, 0);
    animation: noise-anim-2 3s infinite linear alternate-reverse;
}

footer.sticky-footer {
    padding: 1rem 0;
    -ms-flex-negative: 0;
    flex-shrink: 0;
}

footer.sticky-footer .copyright {
    line-height: 1;
    font-size: 0.8rem;
}

body.sidebar-toggled footer.sticky-footer {
    width: 100%;
}

.no-border{
    border:none;
    font-size: .8125rem;
    padding: 0;
}
.input-usd{
    border: none;
    background: transparent;
}
.no-border:focus{
    box-shadow: none;
}
.main-navbar{
    height: 3.75rem;
}
.border-right-usd{
    border-right: 1px solid #DFE5EB!important;
    border-left: 1px solid #DFE5EB!important;
}
.center-img{
    display: flex;
    justify-content: center;
    align-items: center;
}
.activity-list{
    list-style: none;
    padding-left: 0px;
}
.activity-list li:before{
    content: "\f105";
    font-family: FontAwesome;
    padding-left: 10px;
    padding-right: 10px;
    font-size: 16px;
    font-weight: 800;
}
.sm-icons{
    font-size: 12px;
    color: #cacedb;
}
.card-dash a:hover{
    text-decoration: none;
}
input::-webkit-input-placeholder, textarea::-webkit-input-placeholder {
    font-size: 12px;
    color: #636363;
}
input:-moz-placeholder, textarea:-moz-placeholder {
    font-size: 12px;
    color: #636363;
}

.sidebar.box-shd .sidebar-brand {
    background-color: #ffffff;
    height: auto;
}

.topbar .dropdown-menu {
    top: 55px;
}
.sidebar.box-shd .nav-item .nav-link i {
    font-size: 16px;
    float: left;
    margin: 4px 5px !important;
}
.sidebar.box-shd.toggled .nav-item .nav-link i {
    font-size: inherit;
    float: inherit;
    margin: inherit !important;
}
#wrapper #content-wrapper {
    background-color: #f8f9fc;
}
.topbar .dropdown.top_drop .dropdown-menu {
    top: 36px;
}
.menu_hover .dropdown:hover>.dropdown-menu {
  display: block;
}
.menu_hover .dropdown>.dropdown-toggle:active {
    pointer-events: none;
}
a.tab-card-details.active, a.tab-card-details:focus {
    color: #4e73df !important;
}
.font-12 {
    font-size: 12px !important;
}
.font-14 {
    font-size: 14px !important;
}
.login-block .card-signin {
  border-radius: 1rem;
}
.login-block .card-signin .card-title {
  font-size: 1.5rem;
}
.login-block .form-group .form-control-user {
    height: auto;
    border-radius: 2rem;
/*    font-size: 1rem;*/
}
.login-block .btn {
/*  letter-spacing: .1rem;*/
  transition: all 0.2s;
  border-radius: 2rem;
  font-size: 1rem;
}

.login-block .btn-google {
  color: white;
  background-color: #ea4335;
}

.login-block .btn-facebook {
  color: white;
  background-color: #3b5998;
}
.menu_hover li {
    font-size: 1rem;
}
.container-fluid {
    padding-right: 15px;
    padding-left: 15px;
}
.shadow {
    box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, 0.15) !important;
}
h1,h2,h3,h4,h5,h6,p{
  /* font-family: europa,sans-serif; */
  font-style: normal;
}
.font-europa{
  font-family: 'Poppins',sans-serif;
  font-style: normal;
}
.font-rift{
  font-family: 'Poppins',sans-serif;
  font-style: normal;
}
/* 
.btn{
    font-family: 'Poppins',sans-serif;
} */
.btn-primary,
.btn-warning,
.btn-success,
.btn-danger,
.btn-secondary,
.btn-outline-primary,
.btn-outline-warning,
.btn-outline-success,
.btn-outline-secondary,
.btn-outline-danger{
  border-radius: 20px;
  /* text-transform: uppercase; */
  font-size: 14px;
  /* font-family: 'Poppins',sans-serif; */
  /* letter-spacing: 0.2rem; */
  /* font-weight: 600; */
  padding-left: 15px;
  padding-right: 15px;
}
/* .btn-primary,
.btn-outline-primary{
  box-shadow: 0 6px 6px rgba(100, 185, 255, 0.3);
}
.btn-success,
.btn-outline-success{
  box-shadow: 0 6px 6px rgba(40, 167, 69, 0.2);
}
.btn-danger,
.btn-outline-danger{
  box-shadow: 0 6px 6px rgba(226, 52, 47, 0.2);
}
.btn-warning,
.btn-outline-warning{
  box-shadow: 0 6px 6px rgba(255, 237, 74, 0.3);
}
.btn-secondary,
.btn-outline-secondary{
  box-shadow: 0 6px 6px rgba(108, 117, 125, 0.2);
} */
.bg-color,
.bg-gray{
  background: #EBEBEB;
}
.form-group label {
    margin: 0 0 2px;
    font-weight: 500;
    color: #6c8aaf;
}
.nav-tabs .nav-link.active {
    background-color: #4e73df;
    color: #fff;
}
.nav-tabs .nav-link {
    border: 1px solid #fff;
    background-color: #666666;
    color: #fff;
}
.form-group .form-control, .form-group label, body, .btn, .sidebar .nav-item .collapse .collapse-inner, .sidebar .nav-item .collapsing .collapse-inner, .material-icons {
    font-size: 0.8125rem;
}
.form-group {
    margin-bottom: 0.75rem;
}
.card-body {
    padding: 1rem;
}
.table td, .table th {
    vertical-align: middle;
}
.col-form-label {
    padding: 0 0 5px;
    font-weight: 600;
    color: #366093;
}
.card-header {
    background-color: transparent;
}
.card-header h6 {
    color: #666 !important;
    font-weight: 500 !important;
}
.table th {
    padding: 10px .35rem;
    background-color: #F5F6FA;
    color: #9c9fb3;
    font-weight: 600;
}
/* END GLOBAL CSS */
.date_pic i {
    position: absolute;
    right: 7px;
    bottom: 13px;
    font-size: 12px;
    color: #466cd9;
}
.date_pic input {
    padding-right: 30px;
}
.date_pic {
    position: relative;
}
.atr_contain div>p::before {
    content: "\279C";
    color:#072b31;
    font-size: 17px;
}
.side_list {
    width: 200px;
    position: fixed;
    z-index: 1;
    bottom: 0;
    right: 0;
    overflow-x: hidden;
    padding-top: 20px;
    top: 94px;
    height: 466px;
}
.side_list .btn {
    font-size: 0.9rem;
}
.side_list .btn-group-vertical > .btn {
    opacity: 0.6;
}
.side_list .btn-group-vertical > .btn.active, .side_list .btn-group-vertical > .btn:hover {
    background-color: transparent !important;
    color: #fff !important;
    opacity: 1;
}
.material-icons[title], .material-icons.deleteRow {
    font-size: 1.25rem;
}
.bg_theme {
    background-color: #366093 !important;
}
/*.sidebar-dark .nav-item .nav-link:focus::after {
    position: absolute;
    content: "";
    border-top: 23px solid transparent;
    border-bottom: 23px solid transparent;
    border-left: 23px solid #fff;
    right: -23px;
    top: 0;
    z-index: 1;
}*/
.sidebar .nav-item .nav-link span {
    line-height: 2;
}
.sidebar-dark .nav-item .nav-link {
    padding: .5rem 0.5rem;
    color: rgba(255, 255, 255, 0.7);
    border-left: 5px solid transparent;
}
.sidebar-dark.box-shd .nav-item .nav-link:active, .sidebar-dark.box-shd .nav-item .nav-link:focus, .sidebar-dark.box-shd .nav-item .nav-link:hover {
    border-left: 5px solid #fff;
}
.invoice_cu li {
    position: relative;
}
.invoice_cu i {
    position: absolute;
    left: -40px;
    background-color: #1986ef;
    top: 3px;
}
.app-content {
    min-height: 463px;
}

.invoice_cu .card-text {
    line-height: 1.2;
}
.side_list.side_gl_list {
    height: 236px;
    top: 35%;
}
.atr_contain .form-group label.radio-inline {
    color: #858796;
}


.custom_nest .NestedSelect {
    display: inline-block;
    height: 100%;
}
.custom_nest .NestedSelect a.nested_link:hover, .custom_nest .NestedSelect span:hover  {
    color: #000;
    cursor: pointer;
}
.custom_nest .NestedSelect input[type="radio"] {
    display: none;
}
.custom_nest .NestedSelect input[type="radio"] + span {
    display: block;
    padding-left: 0px;
    padding-right: 5px;
}
.custom_nest .NestedSelect input[type="radio"]:checked + span {
    color: #000;
}
.custom_nest .NestedSelect div.nested_set {
    display: none;
    margin-left: 30px;
    border-left: 1px #f1ebeb solid;
    padding-left: 7px;
    clear: both;
}
.custom_nest .NestedSelect .nested_link, .custom_nest .NestedSelect label {
    display: block;
    background-color: #f3f3f4;
}
.toggle.expanded .fa-plus:before {
    content: "\f068";
}
.nested_link {
    display: contents !important;
}
.atr_level_last, .atr_level_last a, .atr_contain div>p.atr_level_last::before {
    color: #666;
}
.q_links i.material-icons {
    font-size: 25px;
    max-width: 45px;
}
.font_17 {
    font-size: 15px;
}
.side_selection .custom-control-label::before {
    top: 2px;
}
.side_selection .card-body .custom-control-label {
    font-size: 0.7125rem;
}
.post_check .form-check-input {
    position: relative;
}


.multilevel_acc .panel-title > a {
  display: inline-block;
  position: relative;
}
.multilevel_acc .panel-title > a:after {
  content: "\f078"; /* fa-chevron-down */
  font-family: "FontAwesome";
  position: absolute;
  left: 0;
}
.multilevel_acc .panel-title > a[aria-expanded="true"]:after {
  content: "\f077"; /* fa-chevron-up */
}
.multilevel_acc .panel-heading {
    background-color: #F5F6FA;
}
.multilevel_acc .panel-default > .collapse {
    margin-left: 30px;
}
table .form-control, table .form-group .form-control {
    height: 27px;
    padding: 0 2px;
    font-size: 11px;
    text-overflow: ellipsis;
}
table.table th, table.table td {
    padding: 2px;
    font-size: 12px;
    
}
.gl-td .select2-container {
    width: 100% !important;
}

.form-group .select2-container--default .select2-selection--single {
 border: 1px solid #d1d3e2;
 color: #6e707e;
 line-height: 1.5;
 font-weight: 400;
 height: calc(1.5em + 0.75rem + 2px);
 border-radius: 0;
}
.form-group .select2-container--default .select2-selection--single > span {
 padding: 0.13rem 0.75rem;
 height: calc(1.4em + 0.75rem + 2px);
}
.select2-results li {
 color: #6e707e;
}

.table {
    vertical-align: middle;
}
.max-content
{
  width: max-content;
}
.btn-toggle.toggle-swtch {
   margin: 0 4rem;
   padding: 0;
   position: relative;
   border: none;
   height: 1.5rem;
   width: 3rem;
   border-radius: 1.5rem;
   color: #6b7381;
   background: #bdc1c8;
   }
   .btn-toggle.toggle-swtch:focus,
   .btn-toggle.toggle-swtch.focus,
   .btn-toggle.toggle-swtch:focus.active,
   .btn-toggle.toggle-swtch.focus.active {
   outline: none;
   }
   .btn-toggle.toggle-swtch:before,
   .btn-toggle.toggle-swtch:after {
   line-height: 1.5rem;
   width: 4rem;
   text-align: center;
   font-weight: 600;
   font-size: 0.75rem;
   text-transform: uppercase;
   letter-spacing: 2px;
   position: absolute;
   bottom: 0;
   transition: opacity 0.25s;
   }
   .btn-toggle.toggle-swtch:before {
   content: 'No';
   left: -4rem;
   }
   .btn-toggle.toggle-swtch:after {
   content: 'Yes';
   right: -4rem;
   opacity: 0.5;
   }
   .btn-toggle.toggle-swtch > .handle {
   position: absolute;
   top: 0.1875rem;
   left: 0.1875rem;
   width: 1.125rem;
   height: 1.125rem;
   border-radius: 1.125rem;
   background: #fff;
   transition: left 0.25s;
   }
   .btn-toggle.toggle-swtch.active {
   transition: background-color 0.25s;
   }
   .btn-toggle.toggle-swtch.active > .handle {
   left: 1.6875rem;
   transition: left 0.25s;
   }
   .btn-toggle.toggle-swtch.active:before {
   opacity: 0.5;
   }
   .btn-toggle.toggle-swtch.active:after {
   opacity: 1;
   }
   .btn-toggle.toggle-swtch:before,
   .btn-toggle.toggle-swtch:after {
   color: #6b7381;
   }
   .btn-toggle.toggle-swtch.active {
   background-color:#4e73df;
   }
   
   .btn-toggle.toggle-swtch.btn-sm {
   margin: 0 0.5rem;
   padding: 0;
   position: relative;
   border: none;
   height: 1.5rem;
   width: 3rem;
   border-radius: 1.5rem;
   }
   .btn-toggle.toggle-swtch.btn-sm:focus,
   .btn-toggle.toggle-swtch.btn-sm.focus,
   .btn-toggle.toggle-swtch.btn-sm:focus.active,
   .btn-toggle.toggle-swtch.btn-sm.focus.active {
   outline: none;
   }
   .btn-toggle.toggle-swtch.btn-sm:before,
   .btn-toggle.toggle-swtch.btn-sm:after {
   line-height: 1.5rem;
   width: 0.5rem;
   text-align: center;
   font-weight: 600;
   font-size: 0.55rem;
   text-transform: uppercase;
   letter-spacing: 2px;
   position: absolute;
   bottom: 0;
   transition: opacity 0.25s;
   }
   .btn-toggle.toggle-swtch.btn-sm:before {
   content: 'No';
   left: -0.5rem;
   }
   .btn-toggle.toggle-swtch.btn-sm:after {
   content: 'Yes';
   right: -0.5rem;
   opacity: 0.5;
   }
   .btn-toggle.toggle-swtch.btn-sm > .handle {
   position: absolute;
   top: 0.1875rem;
   left: 0.1875rem;
   width: 1.125rem;
   height: 1.125rem;
   border-radius: 1.125rem;
   background: #fff;
   transition: left 0.25s;
   }
   .btn-toggle.toggle-swtch.btn-sm.active {
   transition: background-color 0.25s;
   }
   .btn-toggle.toggle-swtch.btn-sm.active > .handle {
   left: 1.6875rem;
   transition: left 0.25s;
   }
   .btn-toggle.toggle-swtch.btn-sm.active:before {
   opacity: 0.5;
   }
   .btn-toggle.toggle-swtch.btn-sm.active:after {
   opacity: 1;
   }
   .btn-toggle.toggle-swtch.btn-sm.btn-sm:before,
   .btn-toggle.toggle-swtch.btn-sm.btn-sm:after {
   line-height: -0.5rem;
   color: #fff;
   letter-spacing: 0.75px;
   left: 0.4125rem;
   width: 2.325rem;
   }
   .btn-toggle.toggle-swtch.btn-sm.btn-sm:before {
   text-align: right;
   }
   .btn-toggle.toggle-swtch.btn-sm.btn-sm:after {
   text-align: left;
   opacity: 0;
   }
   .btn-toggle.toggle-swtch.btn-sm.btn-sm.active:before {
   opacity: 0;
   }
   .btn-toggle.toggle-swtch.btn-sm.btn-sm.active:after {
   opacity: 1;
   }
   
   .btn-toggle.toggle-swtch.btn-secondary {
   color: #6b7381;
   background: #bdc1c8;
   }
   .btn-toggle.toggle-swtch.btn-secondary:before,
   .btn-toggle.toggle-swtch.btn-secondary:after {
   color: #6b7381;
   }
   .btn-toggle.toggle-swtch.btn-secondary.active {
   background-color: #4e73df;
   }

   /*custom css*/
    /* .btn-primary, .btn-outline-primary,
    .btn-outline-primary:focus, .btn-outline-primary.focus,
    .btn-outline-primary:not(:disabled):not(.disabled):active:focus,
     .btn-outline-primary:not(:disabled):not(.disabled).active:focus,
      .show > .btn-outline-primary.dropdown-toggle:focus,
      .btn-primary:focus, .btn-primary.focus ,
      .btn-primary:not(:disabled):not(.disabled):active:focus,
       .btn-primary:not(:disabled):not(.disabled).active:focus, 
       .show > .btn-primary.dropdown-toggle:focus{
        box-shadow: 0 6px 6px rgba(240, 139, 122 ,0.3);
    } */
   .btn-primary ,.btn-primary:not(:disabled):not(.disabled):active,
    .btn-primary:not(:disabled):not(.disabled).active,
     .show > .btn-primary.dropdown-toggle,
     .btn-outline-primary:not(:disabled):not(.disabled):active,
      .btn-outline-primary:not(:disabled):not(.disabled).active,
       .show > .btn-outline-primary.dropdown-toggle,
       .page-item.active .page-link,.btn-outline-primary:hover,.dropdown-item.active, .dropdown-item:active {
        background-color: #072b31;
        border-color: #072b31;
        color: #ffffff;
   }
   .btn-primary:hover{
    color: #ffffff;
   }
   .btn-primary:hover {
    background-color: #072b31;
    border-color: #072b31;
   }
   .page-link,.date_pic i {
    color: #072b31;
   }
   .page-link:hover {
    z-index: 2;
    color: #072b31;
    text-decoration: none;
    background-color: rgba(240, 139, 122, 0.30);
    border-color: rgba(240, 139, 122, 0.30);
}
.page-link:focus {
    box-shadow: 0 0 0 0.2rem rgba(240, 139, 122 ,0.25);
}

.form-group label {
    color: #1a1a1a;
    margin-bottom: 8px;
}
   .text-primary {
    color: #072b31 !important;
   }
   a.text-primary:hover, a.text-primary:focus {
    color: rgba(255, 134, 116, 0.80) !important;
   }
   .btn-outline-primary {
     border-color: #072b31;
     color: #072b31;
   }
   .btn-outline-success {
    color: #010101;
    border-color: #010101;
}
 .btn-outline-success:hover,.btn-outline-success:focus,
  .btn-outline-success.focus,
  .btn-outline-success:not(:disabled):not(.disabled):active,
    .btn-outline-success:not(:disabled):not(.disabled).active,
    .show > .btn-outline-success.dropdown-toggle {  
    background-color: #010101;
    border-color: #010101;
    color: #fff;
}

.btn-primary:not(:disabled):not(.disabled):active:focus,
.btn-primary:not(:disabled):not(.disabled).active:focus,
.show > .btn-primary.dropdown-toggle:focus ,
.btn-outline-primary:not(:disabled):not(.disabled):active:focus,
.btn-outline-primary:not(:disabled):not(.disabled).active:focus,
.show > .btn-outline-primary.dropdown-toggle:focus{
    box-shadow: 0 0 0 0.2rem rgba(240, 139, 122 ,0.3);
}
.btn-danger:not(:disabled):not(.disabled):active:focus,
.btn-danger:not(:disabled):not(.disabled).active:focus,
.show > .btn-danger.dropdown-toggle:focus,
.btn-danger:focus, .btn-danger.focus {
    box-shadow: 0 0 0 0.2rem rgba(29, 29, 31,0.3);
}
.btn-outline-secondary {
    /* color: #858796; */
    border-color: rgba(29, 29, 31, 0.3);
}
.btn-danger {
    color: #fff;
}
.btn-danger,.btn-danger:hover,.btn-danger:not(:disabled):not(.disabled):active, 
.btn-danger:not(:disabled):not(.disabled).active,
 .show > .btn-danger.dropdown-toggle {
    background-color: rgba(29, 29, 31, 0.05);
    border-color: rgba(29, 29, 31, 0.30);
    color: #171717;
}
.btn-danger, .btn-outline-danger {
    box-shadow: 0 6px 6px rgba(29, 29, 31,0.3);
}
.bg-warning {
    background-color: #072b31 !important;
}
.side_list.bg-gradient-primary {
    background-color: #072b31;
    background-image: linear-gradient(180deg, #072b31 10%, #072b31 100%);
    background-size: cover;
}
.bg-gradient-primary {
    background-color: #072b31;
    background-image: linear-gradient(180deg, #072b31 10%, #072b31 100%);
    background-size: cover;
}
.side_list a.text-primary {
    color: #fff !important;
}
.select2-container--default .select2-results__option--highlighted[aria-selected] {
    color: #072b31 !important;
    background-color: #D9E1E7 !important;
}
.datepicker table tr td.today, .datepicker table tr td.today:hover, .datepicker table tr td.today.disabled, .datepicker table tr td.today.disabled:hover {
    background-color: #072b31;
    background-image: -moz-linear-gradient(to bottom, #fdd49a, #fdf59a) !important;
    background-image: -ms-linear-gradient(to bottom, #fdd49a, #fdf59a) !important;
    background-image: -webkit-gradient(linear, 0 0, 0 100%, from(#072b31), to(#f18c7b)) !important;
    background-image: -webkit-linear-gradient(to bottom, #fdd49a, #fdf59a) !important;
    background-image: -o-linear-gradient(to bottom, #fdd49a, #fdf59a) !important;
    background-image: linear-gradient(to bottom, #072b31, #072b31) !important;
    background-repeat: repeat-x;
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#fdd49a', endColorstr='#fdf59a', GradientType=0);
    border-color: #072b31 #f18c7b #072b31;
    border-color: rgba(0, 0, 0, 0.1) rgba(0, 0, 0, 0.1) rgba(0, 0, 0, 0.25) !important;
    filter: progid:DXImageTransform.Microsoft.gradient(enabled=false);
    color: #fff !important;
}
.border-left-primary {
    border-left: 0.25rem solid #072b31 !important;
}
.form-control:focus {
    color: #6e707e;
    background-color: #fff;
    border-color: #868686;
    /* outline: 0;
    box-shadow: 0 0 0 0.2rem rgba(134, 134, 134, 0.25); */
}
.custom-input .form-check-input {
    margin-left: 0;
}
.custom-input .form-check-label {
    margin-left: 1.25rem;
}
.card-signin .logo {
    width: 200px;
}
.sidebar .nav-item .collapse .collapse-inner {
    font-size: 0.75rem;
    border-left: 1px solid rgba(0, 0, 0, 0.2);
    border-radius: 0 !important;
}
.nav-tabs .nav-link.active {
    background-color: #072b31;
    color: #ffffff;
}
.sidebar .nav-item .nav-link[data-toggle="collapse"]::after {
    width: 1rem;
    text-align: center;
    vertical-align: 0;
    border: 0;
    font-weight: 900;
    content: '\f107';
    font-family: 'Font Awesome 5 Free';
    position: absolute;
    right: 0;
    }
    .sidebar.box-shd .sidebar-brand {
        background-color: transparent;
    }
    .sidebar .nav-item .collapse .collapse-inner .collapse-item,
     .sidebar .nav-item .collapsing .collapse-inner .collapse-item {
        white-space: normal;
    }
    .custom_tabs .form-check-inline label.form-check-label .btn-primary {
        background-color: #072b31;
        color: #fff;
        box-shadow: none;
        border-color: #072b31;
    }
    .custom_tabs .form-check-inline label.form-check-label .btn-success,
    .custom_tabs .form-check-inline label.form-check-label .btn-gray {
        border: 1px solid #fff;
        background-color: #666666;
        color: #fff;
        box-shadow: none;
    }
    .custom_tabs .form-check-inline {
        margin-right: -1px;
    }
    .custom_tabs .form-check-inline label.form-check-label .btn {
        border-radius: 0;
        border-top-left-radius: 0.35rem;
        border-top-right-radius: 0.35rem;
        padding: 0.5rem 1rem;
        text-align: center;
        font-family: 'Poppins',sans-serif;
        text-transform: capitalize;
        letter-spacing: 0;
        font-weight: 400;
        border: none;
    }
    .custom_tabs .form-check-inline label.form-check-label .btn-primary:not(:disabled):not(.disabled):active:focus,
     .custom_tabs .form-check-inline label.form-check-label .btn-primary:not(:disabled):not(.disabled).active:focus,
      .custom_tabs .form-check-inline label.form-check-label .show > .btn-primary.dropdown-toggle:focus,
      .custom_tabs .form-check-inline label.form-check-label .btn-success:not(:disabled):not(.disabled):active:focus,
       .custom_tabs .form-check-inline label.form-check-label .btn-success:not(:disabled):not(.disabled).active:focus,
        .custom_tabs .form-check-inline label.form-check-label .show > .btn-success.dropdown-toggle:focus {
        box-shadow: none;
      }
      /*navbar*/
      #accordionSidebar a.nav-link.active,#accordionSidebar a.nav-link.active i {
        color: #006280 !important;
            background-color: #b2c7dc;
    border-radius: 4px;
      }
      #accordionSidebar a.nav-link.active{
        color:#3f3f46 !important;
      }
      .sidebar-dark .nav-item .nav-link ,.sidebar-dark .nav-item .nav-link i,
      .sidebar-dark .nav-item .nav-link:active,
       .sidebar-dark .nav-item .nav-link:focus,
        .sidebar-dark .nav-item .nav-link:hover,
        .sidebar-dark .nav-item .nav-link:active i,
         .sidebar-dark .nav-item .nav-link:focus i,
          .sidebar-dark .nav-item .nav-link:hover i,
          .sidebar-dark .nav-item .nav-link[data-toggle="collapse"]::after {
        color: #3f3f46;

      }
      .sidebar-dark.sidebar.box-shd .nav-item .nav-link {
            border: none;
            display: inline-block;
            width: 100%;
      }
      .sidebar-dark.sidebar.box-shd .nav-item .nav-link i {
          margin-left: 0 !important;
          margin-right: 9px !important;
      }
     .navigation-bar{
    /* background-color: #ffffff;
    background-image: linear-gradient(180deg, #ffffff 10%, #ffffff 100%);
    background-size: cover;  */
         background: #ffffff;
         border-right: 1px solid #e2e8f0;
}
.navigation-bar .bg-gradient-primary{
 background: #ffffff;
}
.sidebar .nav-item .collapse .collapse-inner .collapse-item.active,
 .sidebar .nav-item .collapsing .collapse-inner .collapse-item.active {
     color: #000000 !important;
     font-weight: 500;
     background-color: #f7fafb;
}
#wrapper #content-wrapper {
    background-color: #f5f5f5;
}
.navbar-expand .navbar-nav li.nav-item span.badge {
    position: relative;
    top: -8px;
    width: 28px;
    height: 23px;
    border-radius: 4px;
    line-height: 26px;
    left: -13px;
    text-align: center;
}
.sidebar .nav-item .collapse .collapse-inner .collapse-item:hover,
.sidebar .nav-item .collapsing .collapse-inner .collapse-item:hover {
    background-color: #ebf1f4;
}
footer.sticky-footer {
    padding: 1rem 0;
    -ms-flex-negative: 0;
    flex-shrink: 0;
    position: absolute;
    left: 0;
    right: 0;
    bottom: 0;
}
#wrapper #content-wrapper #content {
    padding-bottom: 50px;
}
.custom-input label {
    margin-top: 2px;
    margin-left: 17px;
}
.custom-control-input:checked ~ .custom-control-label::before {
    color: #fff;
    border-color: #072b31;
    background-color: #072b31;
}
.custom-control-label::after {
    top: 2px;
}
.gl_view .input-group {
    width: 300px;
     height: 30px; 
     margin-left: 2%;
}
.gl_view .form-control {
    height: 30px;
    padding: 5px;
    line-height: 30px;
    font-size: 14px;
}
.gl_view .input-group-append {
    height: 30px;
}
.gl_view .input-group-append .fa {
    line-height: 20px;
}
.gl_view_card .form-control {
    height: 30px;
    line-height: 20px;
    font-size: 14px;
    padding: 4px;
    width: 297px;
}
span.success-txt ,span.success-txt a {
    font-weight:bold;
    color:green;
    font-size:16px;
}
span.failure-txt,span.failure-txt a {
    font-weight:bold;
    color:red;
    font-size:16px;
}
.badge-primary {
    color: #fff;
    background-color: #072b31;
}
.btn-primary.disabled, .btn-primary:disabled {
    color: #fff;
    background-color: rgba(255, 134, 116, 0.80);
    border-color: rgba(255, 134, 116, 0.80);
}
table.dataTable thead .sorting:before,
 table.dataTable thead .sorting:after,
  table.dataTable thead .sorting_asc:before,
   table.dataTable thead .sorting_asc:after,
    table.dataTable thead .sorting_desc:before,
     table.dataTable thead .sorting_desc:after,
      table.dataTable thead .sorting_asc_disabled:before,
       table.dataTable thead .sorting_asc_disabled:after,
        table.dataTable thead .sorting_desc_disabled:before,
         table.dataTable thead .sorting_desc_disabled:after {
            bottom: 0.3em;
         }
         .btn-toggle.toggle-swtch.btn-secondary.active {
    background-color: #072b31;
}
input[type="file"] {
    padding: 3px;
}
table.table td .date_pic i {
    bottom: 7px;
}
table.dataTable thead>tr>th.sorting_asc,
 table.dataTable thead>tr>th.sorting_desc,
  table.dataTable thead>tr>th.sorting,
   table.dataTable thead>tr>td.sorting_asc,
    table.dataTable thead>tr>td.sorting_desc,
     table.dataTable thead>tr>td.sorting {
        padding-right: 0;
}
a.list-group-item.active {
    z-index: 2;
    background-color: #072b31;
    border-color: #072b31;
}
a.list-group-item.tablinks {
    color: #072b31;
}
a.list-group-item.tablinks.active {
    color: #fff;
}
/* a,
.btn-link {
    color: #072b31;
} */
.select-width span.select2.select2-container {
    width: 220px !important;
}
/*mobile responsive*/
/* Landscape phones and down */
@media (max-width: 480px) {

}

/* Landscape phone to portrait tablet */
@media (max-width: 767px) { }

/* Portrait tablet to landscape and desktop */
@media (min-width: 768px) and (max-width: 979px) {  }

/* Small devices (tablets, 768px and up) */
@media (min-width: 768px) {
    .sidebar .nav-item .nav-link[data-toggle="collapse"]::after{
        line-height: 30px;
    }
}

/* Medium devices (desktops, 992px and up) */
@media (min-width: 992px) {  }

/* Large devices (large desktops, 1200px and up) */
@media (min-width: 1200px) {  }
/* {"mode":"full","isActive":false} */
a:hover,.btn-link:hover{
    color: #072b31;
}
.datepicker td, .datepicker th {
    font-weight: 500;
}
.datepicker td {
    font-weight: 400;
}
.select2-container--default .select2-selection--multiple {
    border: 1px solid #d1d3e2;
    border-radius: 0;
}

/* 2.0 */
.login-bg-left,body.bg-gradient-vcm.bg-custom.login-btp {
    background: #ebf1f4;
}
.login-side-head{
    font-size: 1.5rem;
    line-height: 2rem;
    font-weight: 600;
}
.login-side-para{
    font-size: 1.125rem;
    line-height:1.625;
    padding-top: .5rem;
}
.login-bg-right-signup{
    max-width: 400px;
    width: 100%;
}
.signin-title{
    font-size: 1.5rem;
    line-height: 2rem;
    font-weight: 600;
    margin-bottom:2px;
}
.signin-desc{
    font-weight: 500;
    font-size: .875rem;
    line-height: 1.25rem;
    color:rgba(100, 116, 139, 0.9);
}
.form-control,.form-select,
.form-group .form-control{
    padding: 0.375rem 0.75rem;
    border-radius: 4px;
    height: initial;
    font-size: 12px;
    color: #000;
    background-color: #fafafa;
}

.form-group .date_pic i {
    color: rgba(0, 0, 0, 0.3);
    right: 8px;
}
.btn i.fas {
    color: rgba(0, 0, 0, 0.7);
    margin-right: 4px;
}
/* .card-header {
    border-bottom: none;
    padding-bottom: 0;
} */
.btn{
    border-radius: 4px;
    font-size: 13px;
}
.login-link{
    color:rgba(100, 116, 139, 0.9);
    text-decoration-line: underline !important;
}
a:hover.login-link:hover{
    color: #000000;
} 
#wrapper #content-wrapper {
    background-color: #fff;
}
.topbar{
    border-bottom: 1px solid #dbdbdb;
    height: 65px;
}
.card {
    /* border-radius: 8px; */
    box-shadow: 0 1px 2px 0 rgba(0, 0, 0, .05) !important;
    background: #fafafa;
    border-radius: 4px;
}
h1.h3.mb-0.text-gray-800{
    font-size: 18px;
    line-height: 1.65rem;
    color: #1a1a1a !important;
}
.card-header h6 {
    font-size: 16px;
    line-height: 1.65rem;
    color: #1a1a1a !important;
    font-weight: 600;
}
.topbar .nav-item .nav-link .img-profile{
    border-radius: 4px;
}
.dropdown-item:hover, .dropdown-item:focus{
    background: #072b31;
    color:#000;
}
.card-header:first-child{
        border-radius: 4px 4px 0 0;
} 
.sidebar .nav-item .nav-link span{
    font-size: 12px;
}
table.table th, table.table td {
    padding: 10px 13px;
    font-size: 13px;
    color:#858796;
    line-height: initial;
}
.table th {
    background-color: transparent;
}
.table-hover tbody tr:hover {
    color: #858796;
    background-color: #f1f5f9;
}
body{
    color: rgb(2, 8, 23);
}
.btn-danger, .btn-outline-danger{
    box-shadow: none;
}

.btn-danger {
    background-color: transparent;
    color: #171717;
    box-shadow: initial;
}

.navigation-bar .sidebar .nav-item.active a.active {
    background-color: #b2c7dc;
    border-radius: 4px;
}
.sidebar-dark .nav-item .nav-link.px-0,
.sidebar-dark .nav-item .nav-link {
    padding: .2rem 0.5rem !important;
    margin:6px 0;
    color: #3f3f46;
}
.login-btp .form-control, .login-btp .btn {
    min-height: 40px;
    font-size: 14px;
}
.topbar.navbar-light .navbar-nav .nav-item .nav-link span.d-lg-inline {
    color: #000;
}
.navigation-bar .bg-gradient-primary {
    max-height: calc(100vh - 150px);
    overflow: auto;
    min-height: initial;
}

.sidebar-dark .nav-item .nav-link[data-toggle="collapse"]::after {
    color: #909bb1;
}
table.table th {
    color: #64748b;
}

.btn-outline-primary {
    border-color: rgba(0, 0, 0, 0.6);
    color: rgba(0, 0, 0, 0.8);
}
a.btn.btn-sm.btn-outline-primary, a.btn.btn-sm.btn-primary {
    padding: 6.5px 8px;
    line-height: initial;
    font-size: 13px;
}
td.text-right a + a {
    margin-left: 6px;
}
.reset-border{
    background-color: #dbdbdb;
}

.flex-grow, .grow {
    flex-grow: 1;
}
.flex-grow.h-px.reset-border {
    height: 1px;
}
.flex-or {
    display: flex;
    align-items: center;
    margin: 24px 0 12px;
    justify-content: center;
}
table td a.btn.btn-sm.btn-outline-primary,table td a.btn.btn-sm.btn-primary {
    padding: 4px 10px;
}
table td .dropleft .dropdown-toggle::before {
    display: none;
}
/* .card.has-table-view .card-body {
    padding: 0;
} */
table.table td {
    color: rgba(0, 0, 0, 0.8);
}
.card.has-table-nocard-body {
    background-color: #fff;
    border: none;
    box-shadow: initial !important;
}
.card.has-table-nocard-body .card-header {
    padding: 0 ;
    border-bottom: none;
}
.card.has-table-nocard-body .card-body {
    box-shadow: 0 1px 2px 0 rgba(0, 0, 0, .05);
    background: #fafafa;
    border-radius: 4px;
    border: 1px solid #e3e6f0;
    margin-top: 16px;
}
.card.shadow.mb-4 {
    margin-bottom: 16px !important;
}
.col-md-12 ul.setPaginate.pagination {
    padding: 0 13px;
}
.search-input{
    position: relative;
}
.search-input .form-control {
    padding-left: 25px;
    padding-top: 7px;
    padding-bottom: 7px;
    background-color: #fff;
}
.search-input i {
    position: absolute;
    font-size: 16px;
    top: 12px;
    left: 6px;
}

.search-arrow button {
    border-radius: 4px;
    padding: 5px 6px;
    margin: 0;
}
.search-input i {
    position: absolute;
    font-size: 15px;
    top: 10px;
    left: 6px;
}
.search-arrow {
    /* display: flex; */
    align-items: top;
    column-gap: 12px;
}
.search-arrow button i {
    font-size: 20px;
    line-height: 17px;
    color: #006280;
    position: relative;
    top: 3px;
}
.NestedSelect .dropdown.dropleft i {
    margin-right: 10px;
}
.atr_contain .side-panel {
    background-color: #ffffff;
}
.btn.btn-sm.btn-outline-secondary {
    padding: 0.375rem 0.75rem;
}

@media(min-width:768px){
    body.post-login{
        overflow: hidden;
    }
    #wrapper #content-wrapper {
        max-height: 100vh;
    }
}